GroundOverlay (KML Framework API)
Keywords: org.boehn.kmlframework.kml.GroundOverlay class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class GroundOverlay

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Overlay
                  org.boehn.kmlframework.kml.GroundOverlay

    public class GroundOverlay

extends Overlay

Constructor Summary
`GroundOverlay()`
`GroundOverlay(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.lang.String color, java.lang.Integer drawOrder, Icon icon, java.lang.Double alititude, AltitudeModeEnum altitudeMode, java.lang.Double north, java.lang.Double south, java.lang.Double east, java.lang.Double west, java.lang.Double rotation)`

Method Summary
`java.lang.Double` | `getAltitude()`
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Double` | `getEast()`
`java.lang.Double` | `getNorth()`
`java.lang.Double` | `getRotation()`
`java.lang.Double` | `getSouth()`
`java.lang.Double` | `getWest()`
`void` | `setAltitude(java.lang.Double altitude)`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setEast(java.lang.Double east)`
`void` | `setNorth(java.lang.Double north)`
`void` | `setRotation(java.lang.Double rotation)`
`void` | `setSouth(java.lang.Double south)`
`void` | `setWest(java.lang.Double west)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Overlay
`getColor, getDrawOrder, getIcon, setColor, setDrawOrder, setIcon, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroundOverlay

    public GroundOverlay()

### GroundOverlay

    public GroundOverlay(java.lang.String name,
                         java.lang.Boolean visibility,
                         java.lang.Boolean open,
                         AtomAuthor atomAuthor,
                         AtomLink atomLink,
                         java.lang.String address,
                         java.lang.String xalAddressDetails,
                         java.lang.String phoneNumber,
                         java.lang.String snippet,
                         java.lang.Integer snippetMaxLines,
                         java.lang.String description,
                         AbstractView abstractView,
                         TimePrimitive timePrimitive,
                         java.lang.String styleUrl,
                         java.util.List<StyleSelector> styleSelectors,
                         Region region,
                         ExtendedData extendedData,
                         java.lang.String color,
                         java.lang.Integer drawOrder,
                         Icon icon,
                         java.lang.Double alititude,
                         AltitudeModeEnum altitudeMode,
                         java.lang.Double north,
                         java.lang.Double south,
                         java.lang.Double east,
                         java.lang.Double west,
                         java.lang.Double rotation)

Method Detail

### getAltitude

    public java.lang.Double getAltitude()

### setAltitude

    public void setAltitude(java.lang.Double altitude)

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### getNorth

    public java.lang.Double getNorth()

### setNorth

    public void setNorth(java.lang.Double north)

### getSouth

    public java.lang.Double getSouth()

### setSouth

    public void setSouth(java.lang.Double south)

### getEast

    public java.lang.Double getEast()

### setEast

    public void setEast(java.lang.Double east)

### getWest

    public java.lang.Double getWest()

### setWest

    public void setWest(java.lang.Double west)

### getRotation

    public java.lang.Double getRotation()

### setRotation

    public void setRotation(java.lang.Double rotation)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD